//
// Copyright (C) 2024 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// clang-format off
#include "native_bridge_support/vdso/interceptable_functions.h"

DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_acquireLatestImage);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_acquireLatestImageAsync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_acquireNextImage);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_acquireNextImageAsync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getHeight);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getMaxImages);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getWidth);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getWindow);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_getWindowNativeHandle);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_newWithDataSpace);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_newWithUsage);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_setBufferRemovedListener);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImageReader_setImageListener);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_deleteAsync);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getCropRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getDataSpace);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getHardwareBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getHeight);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getNumberOfPlanes);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getPlaneData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getPlanePixelStride);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getPlaneRowStride);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getTimestamp);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AImage_getWidth);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecActionCode_isRecoverable);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecActionCode_isTransient);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getClearBytes);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getEncryptedBytes);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getIV);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getKey);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getMode);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_getNumSubSamples);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodecCryptoInfo_setPattern);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_configure);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createCodecByName);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createCodecByNameForClient);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createDecoderByType);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createDecoderByTypeForClient);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createEncoderByType);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createEncoderByTypeForClient);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createInputSurface);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_createPersistentInputSurface);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_dequeueInputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_dequeueOutputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_flush);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getBufferFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getInputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getInputFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getName);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getOutputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_getOutputFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_queueInputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_queueSecureInputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_releaseCrypto);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_releaseName);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_releaseOutputBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_releaseOutputBufferAtTime);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_setAsyncNotifyCallback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_setInputSurface);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_setOnFrameRenderedCallback);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_setOutputSurface);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_setParameters);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_signalEndOfInputStream);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_start);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCodec_stop);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCrypto_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCrypto_isCryptoSchemeSupported);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCrypto_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaCrypto_requiresSecureDecoderComponent);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_close);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_newUri);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_setClose);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_setGetAvailableSize);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_setGetSize);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_setReadAt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDataSource_setUserdata);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_closeSession);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_createByUUID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_decrypt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_encrypt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getKeyRequest);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getKeyRequestWithDefaultUrlAndType);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getPropertyByteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getPropertyString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getProvisionRequest);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_getSecureStops);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_isCryptoSchemeSupported);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_openSession);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_provideKeyResponse);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_provideProvisionResponse);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_queryKeyStatus);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_release);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_releaseSecureStops);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_removeKeys);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_restoreKeys);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_setOnEventListener);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_setOnExpirationUpdateListener);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_setOnKeysChangeListener);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_setPropertyByteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_setPropertyString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_sign);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaDrm_verify);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_advance);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getCachedDuration);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getFileFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getPsshInfo);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleCryptoInfo);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleFlags);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleSize);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleTime);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getSampleTrackIndex);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getTrackCount);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_getTrackFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_readSampleData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_seekTo);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_selectTrack);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_setDataSource);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_setDataSourceCustom);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_setDataSourceFd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaExtractor_unselectTrack);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_clear);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_copy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getDouble);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getFloat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getInt32);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getInt64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getSize);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_getString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setDouble);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setFloat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setInt32);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setInt64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setSize);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_setString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaFormat_toString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_addTrack);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_append);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_delete);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_getTrackCount);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_getTrackFormat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_new);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_setLocation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_setOrientationHint);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_start);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_stop);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AMediaMuxer_writeSampleData);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_HDR10_PLUS_INFO);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_LOW_LATENCY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_OFFSET_TIME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_REQUEST_SYNC_FRAME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_SUSPEND);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_SUSPEND_TIME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIACODEC_KEY_VIDEO_BITRATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_DRC_ATTENUATION_FACTOR);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_DRC_BOOST_FACTOR);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_DRC_HEAVY_COMPRESSION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_DRC_TARGET_REFERENCE_LEVEL);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_ENCODED_TARGET_LEVEL);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_MAX_OUTPUT_CHANNEL_COUNT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_PROFILE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AAC_SBR_MODE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ALBUM);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ALBUMART);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ALBUMARTIST);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ALLOW_FRAME_DROP);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ARTIST);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AUDIO_PRESENTATION_INFO);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AUDIO_SESSION_ID);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_AUTHOR);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_BITRATE_MODE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_BITS_PER_SAMPLE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_BIT_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CAPTURE_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CDTRACKNUMBER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CHANNEL_COUNT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CHANNEL_MASK);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COLOR_FORMAT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COLOR_RANGE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COLOR_STANDARD);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COLOR_TRANSFER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COMPILATION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COMPLEXITY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_COMPOSER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CREATE_INPUT_SURFACE_SUSPENDED);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_DEFAULT_IV_SIZE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_ENCRYPTED_BYTE_BLOCK);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_ENCRYPTED_SIZES);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_IV);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_KEY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_MODE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_PLAIN_SIZES);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CRYPTO_SKIP_BYTE_BLOCK);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD_0);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD_1);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD_2);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD_AVC);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_CSD_HEVC);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_D263);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DISCNUMBER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DISPLAY_CROP);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DISPLAY_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DISPLAY_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_DURATION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ENCODER_DELAY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ENCODER_PADDING);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ESDS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_EXIF_OFFSET);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_EXIF_SIZE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_FLAC_COMPRESSION_LEVEL);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_FRAME_COUNT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_FRAME_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_GENRE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_GRID_COLUMNS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_GRID_ROWS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_HAPTIC_CHANNEL_COUNT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_HDR10_PLUS_INFO);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_HDR_STATIC_INFO);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ICC_PROFILE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_INTRA_REFRESH_PERIOD);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_IS_ADTS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_IS_AUTOSELECT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_IS_DEFAULT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_IS_FORCED_SUBTITLE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_IS_SYNC_FRAME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_I_FRAME_INTERVAL);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LANGUAGE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LAST_SAMPLE_INDEX_IN_CHUNK);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LATENCY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LEVEL);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LOCATION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LOOP);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LOW_LATENCY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_LYRICIST);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MANUFACTURER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_BIT_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_B_FRAMES);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_FPS_TO_ENCODER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_INPUT_SIZE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_PTS_GAP_TO_ENCODER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MAX_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MIME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MPEG2_STREAM_HEADER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MPEGH_COMPATIBLE_SETS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MPEGH_PROFILE_LEVEL_INDICATION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MPEGH_REFERENCE_CHANNEL_LAYOUT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_MPEG_USER_DATA);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_OPERATING_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PCM_BIG_ENDIAN);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PCM_ENCODING);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PRIORITY);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PROFILE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PSSH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_PUSH_BLANK_BUFFERS_ON_STOP);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_REPEAT_PREVIOUS_FRAME_AFTER);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_ROTATION);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SAMPLE_FILE_OFFSET);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SAMPLE_RATE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SAMPLE_TIME_BEFORE_APPEND);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SAR_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SAR_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SEI);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SLICE_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_SLOW_MOTION_MARKERS);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_STRIDE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TARGET_TIME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TEMPORAL_LAYERING);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TEMPORAL_LAYER_COUNT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TEMPORAL_LAYER_ID);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TEXT_FORMAT_DATA);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_THUMBNAIL_CSD_AV1C);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_THUMBNAIL_CSD_HEVC);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_THUMBNAIL_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_THUMBNAIL_TIME);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_THUMBNAIL_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TILE_HEIGHT);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TILE_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TIME_US);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TITLE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TRACK_ID);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_TRACK_INDEX);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_VALID_SAMPLES);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_WIDTH);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_XMP_OFFSET);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_XMP_SIZE);
DEFINE_INTERCEPTABLE_STUB_VARIABLE(AMEDIAFORMAT_KEY_YEAR);

static void __attribute__((constructor(0))) init_stub_library() {
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_acquireLatestImage);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_acquireLatestImageAsync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_acquireNextImage);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_acquireNextImageAsync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getHeight);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getMaxImages);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getWidth);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getWindow);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_getWindowNativeHandle);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_newWithDataSpace);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_newWithUsage);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_setBufferRemovedListener);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImageReader_setImageListener);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_deleteAsync);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getCropRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getDataSpace);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getHardwareBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getHeight);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getNumberOfPlanes);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getPlaneData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getPlanePixelStride);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getPlaneRowStride);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getTimestamp);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AImage_getWidth);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecActionCode_isRecoverable);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecActionCode_isTransient);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getClearBytes);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getEncryptedBytes);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getIV);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getKey);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getMode);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_getNumSubSamples);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodecCryptoInfo_setPattern);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_configure);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createCodecByName);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createCodecByNameForClient);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createDecoderByType);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createDecoderByTypeForClient);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createEncoderByType);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createEncoderByTypeForClient);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createInputSurface);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_createPersistentInputSurface);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_dequeueInputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_dequeueOutputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_flush);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getBufferFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getInputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getInputFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getName);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getOutputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_getOutputFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_queueInputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_queueSecureInputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_releaseCrypto);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_releaseName);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_releaseOutputBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_releaseOutputBufferAtTime);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_setAsyncNotifyCallback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_setInputSurface);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_setOnFrameRenderedCallback);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_setOutputSurface);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_setParameters);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_signalEndOfInputStream);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_start);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCodec_stop);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCrypto_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCrypto_isCryptoSchemeSupported);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCrypto_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaCrypto_requiresSecureDecoderComponent);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_close);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_newUri);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_setClose);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_setGetAvailableSize);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_setGetSize);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_setReadAt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDataSource_setUserdata);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_closeSession);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_createByUUID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_decrypt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_encrypt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getKeyRequest);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getKeyRequestWithDefaultUrlAndType);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getPropertyByteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getPropertyString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getProvisionRequest);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_getSecureStops);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_isCryptoSchemeSupported);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_openSession);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_provideKeyResponse);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_provideProvisionResponse);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_queryKeyStatus);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_release);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_releaseSecureStops);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_removeKeys);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_restoreKeys);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_setOnEventListener);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_setOnExpirationUpdateListener);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_setOnKeysChangeListener);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_setPropertyByteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_setPropertyString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_sign);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaDrm_verify);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_advance);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getCachedDuration);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getFileFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getPsshInfo);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleCryptoInfo);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleFlags);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleSize);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleTime);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getSampleTrackIndex);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getTrackCount);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_getTrackFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_readSampleData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_seekTo);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_selectTrack);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_setDataSource);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_setDataSourceCustom);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_setDataSourceFd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaExtractor_unselectTrack);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_clear);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_copy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getDouble);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getFloat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getInt32);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getInt64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getSize);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_getString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setDouble);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setFloat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setInt32);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setInt64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setSize);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_setString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaFormat_toString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_addTrack);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_append);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_delete);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_getTrackCount);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_getTrackFormat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_new);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_setLocation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_setOrientationHint);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_start);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_stop);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libmediandk.so", AMediaMuxer_writeSampleData);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_HDR10_PLUS_INFO);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_LOW_LATENCY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_OFFSET_TIME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_REQUEST_SYNC_FRAME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_SUSPEND);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_SUSPEND_TIME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIACODEC_KEY_VIDEO_BITRATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_DRC_ATTENUATION_FACTOR);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_DRC_BOOST_FACTOR);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_DRC_HEAVY_COMPRESSION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_DRC_TARGET_REFERENCE_LEVEL);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_ENCODED_TARGET_LEVEL);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_MAX_OUTPUT_CHANNEL_COUNT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_PROFILE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AAC_SBR_MODE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ALBUM);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ALBUMART);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ALBUMARTIST);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ALLOW_FRAME_DROP);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ARTIST);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AUDIO_PRESENTATION_INFO);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AUDIO_SESSION_ID);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_AUTHOR);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_BITRATE_MODE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_BITS_PER_SAMPLE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_BIT_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CAPTURE_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CDTRACKNUMBER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CHANNEL_COUNT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CHANNEL_MASK);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COLOR_FORMAT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COLOR_RANGE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COLOR_STANDARD);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COLOR_TRANSFER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COMPILATION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COMPLEXITY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_COMPOSER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CREATE_INPUT_SURFACE_SUSPENDED);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_DEFAULT_IV_SIZE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_ENCRYPTED_BYTE_BLOCK);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_ENCRYPTED_SIZES);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_IV);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_KEY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_MODE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_PLAIN_SIZES);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CRYPTO_SKIP_BYTE_BLOCK);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD_0);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD_1);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD_2);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD_AVC);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_CSD_HEVC);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_D263);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DISCNUMBER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DISPLAY_CROP);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DISPLAY_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DISPLAY_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_DURATION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ENCODER_DELAY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ENCODER_PADDING);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ESDS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_EXIF_OFFSET);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_EXIF_SIZE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_FLAC_COMPRESSION_LEVEL);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_FRAME_COUNT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_FRAME_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_GENRE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_GRID_COLUMNS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_GRID_ROWS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_HAPTIC_CHANNEL_COUNT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_HDR10_PLUS_INFO);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_HDR_STATIC_INFO);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ICC_PROFILE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_INTRA_REFRESH_PERIOD);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_IS_ADTS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_IS_AUTOSELECT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_IS_DEFAULT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_IS_FORCED_SUBTITLE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_IS_SYNC_FRAME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_I_FRAME_INTERVAL);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LANGUAGE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LAST_SAMPLE_INDEX_IN_CHUNK);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LATENCY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LEVEL);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LOCATION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LOOP);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LOW_LATENCY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_LYRICIST);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MANUFACTURER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_BIT_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_B_FRAMES);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_FPS_TO_ENCODER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_INPUT_SIZE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_PTS_GAP_TO_ENCODER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MAX_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MIME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MPEG2_STREAM_HEADER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MPEGH_COMPATIBLE_SETS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MPEGH_PROFILE_LEVEL_INDICATION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MPEGH_REFERENCE_CHANNEL_LAYOUT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_MPEG_USER_DATA);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_OPERATING_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PCM_BIG_ENDIAN);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PCM_ENCODING);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PRIORITY);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PROFILE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PSSH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_PUSH_BLANK_BUFFERS_ON_STOP);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_REPEAT_PREVIOUS_FRAME_AFTER);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_ROTATION);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SAMPLE_FILE_OFFSET);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SAMPLE_RATE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SAMPLE_TIME_BEFORE_APPEND);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SAR_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SAR_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SEI);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SLICE_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_SLOW_MOTION_MARKERS);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_STRIDE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TARGET_TIME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TEMPORAL_LAYERING);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TEMPORAL_LAYER_COUNT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TEMPORAL_LAYER_ID);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TEXT_FORMAT_DATA);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_THUMBNAIL_CSD_AV1C);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_THUMBNAIL_CSD_HEVC);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_THUMBNAIL_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_THUMBNAIL_TIME);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_THUMBNAIL_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TILE_HEIGHT);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TILE_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TIME_US);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TITLE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TRACK_ID);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_TRACK_INDEX);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_VALID_SAMPLES);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_WIDTH);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_XMP_OFFSET);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_XMP_SIZE);
  INIT_INTERCEPTABLE_STUB_VARIABLE("libmediandk.so", AMEDIAFORMAT_KEY_YEAR);
}
// clang-format on
